## org.biojava.bio.structure.io.mmcif.chem
Enum PolymerType

    java.lang.Object
      java.lang.Enum<PolymerType>
          org.biojava.bio.structure.io.mmcif.chem.PolymerType

All Implemented Interfaces:
  Serializable, Comparable<PolymerType>

    public enum PolymerType

extends Enum<PolymerType>
implements Serializable

Enumerates the classification of polymers. This information is derived from the mmcif dictionary

Since:
  1.7
Author:
  mulvaney, Andreas Prlic
See Also:
  link into mmCIF dictionary

Enum Constant Summary
`dna` polydeoxyribonucleotide
`dnarna` polydeoxyribonucleotide/polyribonucleotide hybrid
`dpeptide` polypeptide(D)
`lpolysaccharide` polysaccharide(L)
`otherPolymer` other
`peptide` polypeptide(L)
`polysaccharide` polysaccharide(D)
`rna` polyribonucleotide
`unknown` if all else fails...

Field Summary
`static Set<PolymerType>` `ALL_POLYMER_TYPES` Convenience `Set` of all polymer types.
`static Set<PolymerType>` `DNA_ONLY` Convenience `Set` of polymer types classified as DNA.
`String` `entity_poly_type`
`static Set<PolymerType>` `POLYNUCLEOTIDE_ONLY` Convenience `Set` of polymer types classified as DNA.
`static Set<PolymerType>` `PROTEIN_ONLY` Convenience `Set` of polymer types classified as protein.
`static Set<PolymerType>` `RNA_ONLY` Convenience `Set` of polymer types classified as RNA.

Method Summary
`static PolymerType` `polymerTypeFromString(String polymerType)`
`static PolymerType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PolymerType[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### peptide

    public static final PolymerType peptide

  polypeptide(L)

### dpeptide

    public static final PolymerType dpeptide

  polypeptide(D)

### dna

    public static final PolymerType dna

  polydeoxyribonucleotide

### rna

    public static final PolymerType rna

  polyribonucleotide

### dnarna

    public static final PolymerType dnarna

  polydeoxyribonucleotide/polyribonucleotide hybrid

### polysaccharide

    public static final PolymerType polysaccharide

  polysaccharide(D)

### lpolysaccharide

    public static final PolymerType lpolysaccharide

  polysaccharide(L)

### otherPolymer

    public static final PolymerType otherPolymer

  other

### unknown

    public static final PolymerType unknown

  if all else fails...

Field Detail

### entity_poly_type

    public final String entity_poly_type

### PROTEIN_ONLY

    public static final Set<PolymerType> PROTEIN_ONLY

  Convenience `Set` of polymer types classified as protein. This only contains `peptide`

### DNA_ONLY

    public static final Set<PolymerType> DNA_ONLY

  Convenience `Set` of polymer types classified as DNA. This only contains `dna`

### RNA_ONLY

    public static final Set<PolymerType> RNA_ONLY

  Convenience `Set` of polymer types classified as RNA. This only contains `rna`

### POLYNUCLEOTIDE_ONLY

    public static final Set<PolymerType> POLYNUCLEOTIDE_ONLY

  Convenience `Set` of polymer types classified as DNA. This contains:
  - `dna`
  - `rna`
  - `dnarna`

### ALL_POLYMER_TYPES

    public static final Set<PolymerType> ALL_POLYMER_TYPES

  Convenience `Set` of all polymer types.

Method Detail

### values

    public static final PolymerType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(PolymerType c : PolymerType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static PolymerType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### polymerTypeFromString

    public static PolymerType polymerTypeFromString(String polymerType)